slice.hpp File Reference

Forward declares `boost::hana::slice` and `boost::hana::slice_c`. More...

## Namespaces

| boost::hana
| Namespace containing everything in the library.

## Variables

constexpr auto | boost::hana::slice
| Extract the elements of a `Sequence` at the given indices. More...
template<std::size_t from, std::size_t to>
constexpr auto | boost::hana::slice_c
| Shorthand to `slice` a contiguous range of elements. More...

## Detailed Description

Forward declares `boost::hana::slice` and `boost::hana::slice_c`.

Copyright
  Louis Dionne 2013-2017 Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)